<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\LeiterMitarbeiterAndererVeranstalter\DozentenUebersicht\DozentenUebersichtFilter;

class DozentenUebersichtFilterController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DozentenUebersichtFilterUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    return new DozentenUebersichtFilterRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DozentenUebersichtFilterPresenter($pUseCaseResponse);
  }
}